Name:          notify-osd
Summary:       On-screen notification display agent
Version:       0.9.20
Release:       1
License:       GPLv3
Group:         Applications/System
URL:           https://launchpad.net/notify-osd
Source0:       http://launchpad.net/notify-osd/0.9/%{name}-%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libnotify-devel
BuildRequires: libwnck-devel
BuildRequires: intltool
Requires:      hicolor-icon-theme
Provides:      virtual-notification-daemon
Conflicts:     xfce4-notifyd
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Canonical's on-screen notification display agent, implementing the
FreeDesktop.org notification specification with semi-transparent click-through
bubbles.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Fix incorrect permissions
chmod 755 $RPM_BUILD_ROOT/%{_libexecdir}/%{name}

# Remove Certain Stuffs
rm $RPM_BUILD_ROOT/usr/share/notify-osd/icons/hicolor/scalable/status/README
rm -rf $RPM_BUILD_ROOT/usr/share/dbus-1/


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%posttrans
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libexecdir}/%{name}
%{_datadir}/%{name}


%changelog
* Wed Sep 16 2009 Gareth John <gareth.l.john@googlemail.com> 0.9.20-1
- Update to latest release
- Added post/pre sections for hicolor icons
- Added BR hicolor icons

* Fri Jul 31 2009 Gareth John <gareth.l.john@googlemail.com> 0.9.14.1-2
- Removed mdv2010.0 stuff from changelog
- Commented some
- Removed README from bad dir
- made notify osd 755 

* Thu Jun 25 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.14.1-1
+ Revision: 389014
- Require libwnck-devel
- New version: 0.9.14.1

* Tue Feb 24 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8-1
+ Revision: 344594
- Fix the dbus service file.
- import notify-osd


